## flacenc flacenc — Encodes audio with the FLAC lossless audio encoder |

## Properties

guint | blocksize | Read / Write / Construct
gboolean | escape-coding | Read / Write / Construct
gboolean | exhaustive-model-search | Read / Write / Construct
gboolean | loose-mid-side-stereo | Read / Write / Construct
guint | max-lpc-order | Read / Write / Construct
guint | max-residual-partition-order | Read / Write / Construct
gboolean | mid-side-stereo | Read / Write / Construct
guint | min-residual-partition-order | Read / Write / Construct
gboolean | qlp-coeff-prec-search | Read / Write / Construct
guint | qlp-coeff-precision | Read / Write / Construct
GstFlacEncQuality | quality | Read / Write / Construct
guint | rice-parameter-search-dist | Read / Write / Construct
gboolean | streamable-subset | Read / Write / Construct
guint | padding | Read / Write / Construct
gint | seekpoints | Read / Write / Construct

## Types and Values

struct | GstFlacEnc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAudioEncoder
                        ╰── GstFlacEnc

## Implemented Interfaces

GstFlacEnc implements GstTagSetter and GstPreset.

## Description

## Synopsis

### Element Information

plugin | flac
author | Wim Taymans <wim.taymans@chello.be>
class | Codec/Encoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string){ S24LE, S24_32LE, S16LE, S8 }, layout=(string)interleaved, rate=(int)[ 1, 655350 ], channels=(int)[ 1, 8 ]

name | src
direction | source
presence | always
details | audio/x-flac

## Functions

## Types and Values

### struct GstFlacEnc

    struct GstFlacEnc;

## Property Details

### The `“blocksize”` property

      “blocksize”                guint

Blocksize in samples.

Flags: Read / Write / Construct

Allowed values: [16,65535]

Default value: 4608

### The `“escape-coding”` property

      “escape-coding”            gboolean

search for escape codes in the entropy coding stage for slightly better compression.

Flags: Read / Write / Construct

Default value: FALSE

### The `“exhaustive-model-search”` property

      “exhaustive-model-search”  gboolean

do exhaustive search of LP coefficient quantization (expensive!).

Flags: Read / Write / Construct

Default value: FALSE

### The `“loose-mid-side-stereo”` property

      “loose-mid-side-stereo”    gboolean

Loose mid side stereo.

Flags: Read / Write / Construct

Default value: FALSE

### The `“max-lpc-order”` property

      “max-lpc-order”            guint

Max LPC order; 0 => use only fixed predictors.

Flags: Read / Write / Construct

Allowed values: <= 32

Default value: 8

### The `“max-residual-partition-order”` property

      “max-residual-partition-order” guint

Max residual partition order (above 4 doesn't usually help much).

Flags: Read / Write / Construct

Allowed values: <= 16

Default value: 3

### The `“mid-side-stereo”` property

      “mid-side-stereo”          gboolean

Do mid side stereo (only for stereo input).

Flags: Read / Write / Construct

Default value: TRUE

### The `“min-residual-partition-order”` property

      “min-residual-partition-order” guint

Min residual partition order (above 4 doesn't usually help much).

Flags: Read / Write / Construct

Allowed values: <= 16

Default value: 3

### The `“qlp-coeff-prec-search”` property

      “qlp-coeff-prec-search”    gboolean

false = use qlp_coeff_precision, true = search around qlp_coeff_precision, take best.

Flags: Read / Write / Construct

Default value: FALSE

### The `“qlp-coeff-precision”` property

      “qlp-coeff-precision”      guint

Precision in bits of quantized linear-predictor coefficients; 0 = automatic.

Flags: Read / Write / Construct

Allowed values: <= 32

Default value: 0

### The `“quality”` property

      “quality”                  GstFlacEncQuality

Speed versus compression tradeoff.

Flags: Read / Write / Construct

Default value: 5 - Default

### The `“rice-parameter-search-dist”` property

      “rice-parameter-search-dist” guint

0 = try only calc'd parameter k; else try all [k-dist..k+dist] parameters, use best.

Flags: Read / Write / Construct

Allowed values: <= 15

Default value: 0

### The `“streamable-subset”` property

      “streamable-subset”        gboolean

true to limit encoder to generating a Subset stream, else false.

Flags: Read / Write / Construct

Default value: TRUE

### The `“padding”` property

      “padding”                  guint

Write a PADDING block with this length in bytes.

Flags: Read / Write / Construct

Default value: 0

### The `“seekpoints”` property

      “seekpoints”               gint

Add SEEKTABLE metadata (if > 0, number of entries, if < 0, interval in sec).

Flags: Read / Write / Construct

Allowed values: >= -2147483647

Default value: -10